X2SYS_BINLIST(1)

NAME
x2sys_binlist - Create bin-index files from track data files

SYNOPSIS
x2sys_binlist track(s) -TTAG [ -D ] [ -E ] [ -V ]

DESCRIPTION
x2sys_binlist reads one or more track data files and produces a multi-segment ASCII track bin-index file (tbf) with the track name in the header and one data record per bin crossed; these records contain lon, lat, index, flags[, dist], where lon, lat are the coordinates of the center of the bin, the index is the 1-D number of the bin, and flags is a bitflag that describes which data fields were available in this bin. The optional dist requires -D. The input files can be of any format, which must be described and passed with the -T option. The bin-index listing is a crude representation of where the track goes and is used by the data archivist to build an x2sys track data base for miscellaneous track queries, such as when needing to determine which tracks should be compared in a crossover analysis. You must run x2ys_init to initialize the tag before you can run the indexing.

tracks
    Can be one or more ASCII, native binary, or COARDS netCDF 1-D data files. To supply the data files via a text file with a list of tracks (one per record), specify the name of the track list after a leading equal-sign (e.g., =tracks.lis). If the names are missing their file extension we will append the suffix specified for this TAG. Track files will be searched for first in the current directory and second in all directories listed in $X2SYS_HOME/TAG/TAG_paths.txt (if it exists). [If $X2SYS_HOME is not set it will default to $GMT_SHAREDIR/x2sys]. (Note: MGD77 files will also be looked for via MGD77_HOME/mgd77_paths.txt and *.gmt files will be searched for via $GMT_SHAREDIR/mgg/gmtfile_paths).

-T  Specify the x2sys TAG which tracks the attributes of this data type.

OPTIONS
No space between the option flag and the associated arguments.

-D  Calculate the length of trackline segments per bin [Default skips this step]. The length fragments are given as the 5th output column (after the flags). The length units are obtained via the TAB setting (see x2sys_init).

-E  Convert geographic data to a cylindrical equal-area projection prior to binning. Basically, we apply the projection -JYlon0/37:04:17.166076/360, where lon0 is the mid-longitude of the region. Requires -D, geographical data, and a global region (e.g., -Rg or -Rd). This option is useful for statistics related to trackline density but should not be used when preparing bin-index files for the x2sys track data bases.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To create a bin index file from the MGD77 file 01030061.mgd77 using the settings associated with the tag MGD77, do

x2sys_binlist 01030061.mgd77 -T MGD77 > 01030061.tbf

To create a track bin index file of all MGD77+ files residing in the current directory using the settings associated with the tag MGD77+ and calculate track distances, run

x2sys_binlist *.nc -T MGD77+ -D > all.tbf

SEE ALSO
x2sys_cross(1), x2sys_datalist(1), x2sys_get(1), x2sys_init(1), x2sys_put(1), x2sys_report(1), x2sys_solve(1)